# menu_items 3x

    menu_items(3x)                                     menu_items(3x)

## NAME

           menu_items  - make and break connections between items and
           menus

## SYNOPSIS

           #include <menu.h>
           int set_menu_items(MENU *menu, ITEM **items);
           ITEM **menu_items(const MENU *menu);
           int item_count(const MENU *menu);

## DESCRIPTION

           The function set_menu_items changes the item pointer array
           of  the  given  menu.   The  array must be terminated by a
           NULL.

           The function menu_items returns  the  item  array  of  the
           given menu.

           The  function  item_count  returns  the  count of items in
           menu.

## RETURN VALUES

           The function menu_items returns NULL on error.

           The function item_count returns ERR  (the  general  curses
           error return value) on error.

           The  function  set_menu_items returns one of the following
           codes on error:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

           E_BAD_ARGUMENT
                Routine detected an incorrect or  out-of-range  argu-
                ment.

           E_POSTED
                The menu is already posted.

           E_NOT_CONNECTED
                No items are connected to the menu.

## SEE ALSO

           curses(3x), menu(3x).

## NOTES

           The header file <menu.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These routines emulate the System V  menu  library.   They
           were not supported on Version 7 or BSD versions.

           The   SVr4   menu   library  documentation  specifies  the
           item_count error value as -1 (which is the value of  ERR).

## AUTHORS

           Juergen  Pfeifer.   Manual  pages  and  adaptation for new
           curses by Eric S. Raymond.